#include <Decoration/SingleBlockDecoration/SingleBlockDecoration.hpp>

SingleBlockDecoration::SingleBlockDecoration(Weighter getCount, std::string blockName, uint8_t meta) :
    getCount(getCount),
    blockName(blockName),
    meta(meta)
{}

void SingleBlockDecoration::build(ISculptor &sculptor, GeneratorNode node, glm::ivec3 pos)
{
    sculptor.place(pos, blockName, meta);
}

double SingleBlockDecoration::getAverageDensity(const TerrainGenerator::Cell &cell, GeneratorNode node)
{
    return getCount(cell, node);
}